--
-- Patch DDL de SCO_SCOLARITE du 02/10/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2/3
-- Type : DML
-- Schema : SCO_SCOLARITE
-- Numero de version : 1.0.0.4
-- Date de publication : 02/10/2013
-- Auteur(s) : Association Cocktail
--
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;



------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ TABLES de NOMENCLATURES  ----------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE TABLE SCO_SCOLARITE.DB_VERSION  (
	DBV_ID NUMBER(38) NOT NULL,
	DBV_LIBELLE VARCHAR2(15) NOT NULL,
	DBV_DATE DATE NOT NULL ,
	DBV_INSTALL DATE,
	DBV_COMMENT VARCHAR2(2000),
  CONSTRAINT PK_DB_VERSION PRIMARY KEY (DBV_ID) USING INDEX TABLESPACE INDX_CKTL_SCOL
);	
CREATE SEQUENCE SCO_SCOLARITE.DB_VERSION_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.DB_VERSION IS 'Table contenant les versions des scripts passes';
COMMENT ON COLUMN SCO_SCOLARITE.DB_VERSION.DBV_ID IS 'Identifiant de la version';
COMMENT ON COLUMN SCO_SCOLARITE.DB_VERSION.DBV_LIBELLE IS 'Libelle de la version';
COMMENT ON COLUMN SCO_SCOLARITE.DB_VERSION.DBV_DATE IS 'Date de release de la version';
COMMENT ON COLUMN SCO_SCOLARITE.DB_VERSION.DBV_INSTALL IS 'Date d''installation de la version. Si non renseigne, la version n''est pas completement installee.';
COMMENT ON COLUMN SCO_SCOLARITE.DB_VERSION.DBV_COMMENT IS 'Le commentaire : une courte description de cette version de la base de donnees.';
	
	
CREATE TABLE SCO_SCOLARITE.DOMAINE (
  	ID_DOMAINE NUMBER(38) NOT NULL,
  	CODE VARCHAR2(255) NOT NULL,
  	LL_DOMAINE VARCHAR2(255) NOT NULL,
  	LC_DOMAINE VARCHAR(255) NOT NULL,
  	IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_DOMAINE PRIMARY KEY (ID_DOMAINE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.DOMAINE_SEQ START WITH 3;
COMMENT ON TABLE SCO_SCOLARITE.DOMAINE IS 'Liste des domaines universitaire';
COMMENT ON COLUMN SCO_SCOLARITE.DOMAINE.CODE IS 'Code du domaine';
COMMENT ON COLUMN SCO_SCOLARITE.DOMAINE.LL_DOMAINE IS 'Libellé long du domaine';
COMMENT ON COLUMN SCO_SCOLARITE.DOMAINE.LC_DOMAINE IS 'Libellé court du domaine';
COMMENT ON COLUMN SCO_SCOLARITE.DOMAINE.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


CREATE TABLE SCO_SCOLARITE.GRADE_UNIVERSITAIRE (
  	ID_GRADE_UNIVERSITAIRE NUMBER(38) NOT NULL,
  	TYPE_GRADE_UNIVERSITAIRE VARCHAR2(255) NOT NULL,
  	LIBELLE VARCHAR2(255) NOT NULL,
  	NB_UNITES_TEMPS NUMBER,
    CONSTRAINT PK_GRADE_UNIVERSITAIRE PRIMARY KEY (ID_GRADE_UNIVERSITAIRE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.GRADE_UNIVERSITAIRE_SEQ START WITH 8;
COMMENT ON TABLE SCO_SCOLARITE.GRADE_UNIVERSITAIRE IS 'Liste des Grade Universitaire d''une formation (= DEUG ou LICENCE ou MASTER ou …)';
COMMENT ON COLUMN SCO_SCOLARITE.GRADE_UNIVERSITAIRE.TYPE_GRADE_UNIVERSITAIRE IS 'Type du grade';
COMMENT ON COLUMN SCO_SCOLARITE.GRADE_UNIVERSITAIRE.LIBELLE IS 'Libellé du grade';
COMMENT ON COLUMN SCO_SCOLARITE.GRADE_UNIVERSITAIRE.NB_UNITES_TEMPS IS 'Nombre d''unités de temps';


CREATE TABLE SCO_SCOLARITE.TYPE_ORGANISATION (
  	ID_TYPE_ORGANISATION NUMBER(38) NOT NULL,
  	TYPE_ORGANISATION VARCHAR2(255) NOT NULL,
  	LIBELLE VARCHAR2(255) NOT NULL,
  	NB_PERIODES NUMBER,
  	CONSTRAINT PK_TYPE_ORGANISATION PRIMARY KEY (ID_TYPE_ORGANISATION) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_ORGANISATION_SEQ START WITH 4;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_ORGANISATION IS 'Type d''Organisation d''une formation (= Semestre ou Année ou Formation ou ...)';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_ORGANISATION.TYPE_ORGANISATION IS 'Type de l''organisation';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_ORGANISATION.LIBELLE IS 'Libellé de l''organisation';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_ORGANISATION.NB_PERIODES IS 'Nombre de périodes de temps dans l''organisation';


CREATE TABLE SCO_SCOLARITE.TYPE_AP (
    ID_TYPE_AP NUMBER(38) NOT NULL,
    CODE VARCHAR2(255) NOT NULL,
    LIBELLE VARCHAR(255) NOT NULL,
    IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_TYPE_AP PRIMARY KEY (ID_TYPE_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_AP_SEQ START WITH 7;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_AP IS 'Type des Atomes Pédagogiques';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_AP.CODE IS 'Code du type d''AP';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_AP.LIBELLE IS 'Libellé du type d''AP';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_AP.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


CREATE TABLE SCO_SCOLARITE.TYPE_AE (
    ID_TYPE_AE NUMBER(38) NOT NULL,
    CODE VARCHAR2(255) NOT NULL,
    LIBELLE VARCHAR(255) NOT NULL,
    IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_TYPE_AE PRIMARY KEY (ID_TYPE_AE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_AE_SEQ START WITH 11;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_AE IS 'Type des Atomes d''Evaluations';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_AE.CODE IS 'Code du type d''AE';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_AE.LIBELLE IS 'Libellé du type d''AE';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_AE.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


CREATE TABLE SCO_SCOLARITE.TYPE_FORMATION (
    ID_TYPE_FORMATION NUMBER(38) NOT NULL,
    CODE VARCHAR2(255) NOT NULL,
    LIBELLE VARCHAR(255) NOT NULL,
    CONSTRAINT PK_TYPE_FORMATION PRIMARY KEY (ID_TYPE_FORMATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_FORMATION_SEQ START WITH 3;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_FORMATION IS 'Type des formations (= Formation Initiale ou Formation Continue ou …)';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_FORMATION.CODE IS 'Code du type de la formation';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_FORMATION.LIBELLE IS 'Libellé du type de la formation';


CREATE TABLE SCO_SCOLARITE.STATUT_FORMATION (
    ID_STATUT_FORMATION NUMBER(38) NOT NULL,
    CODE VARCHAR2(255) NOT NULL,
    LIBELLE VARCHAR(255) NOT NULL,
    CONSTRAINT PK_STATUT_FORMATION PRIMARY KEY (ID_STATUT_FORMATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.STATUT_FORMATION_SEQ START WITH 5;
COMMENT ON TABLE SCO_SCOLARITE.STATUT_FORMATION IS 'Statut des formations (= Habilité ou Fictive ou ...)';
COMMENT ON COLUMN SCO_SCOLARITE.STATUT_FORMATION.CODE IS 'Code du statut de la formation';
COMMENT ON COLUMN SCO_SCOLARITE.STATUT_FORMATION.LIBELLE IS 'Libellé du statut de la formation';


CREATE TABLE SCO_SCOLARITE.MENTION (
    ID_MENTION NUMBER(38) NOT NULL,
    CODE VARCHAR2(255) NOT NULL,
    LL_MENTION VARCHAR(255) NOT NULL,
    LC_MENTION VARCHAR(255) NOT NULL,
    IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_MENTION PRIMARY KEY (ID_MENTION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.MENTION_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.MENTION IS 'Liste des mentions dans le domaine universitaire';
COMMENT ON COLUMN SCO_SCOLARITE.MENTION.CODE IS 'Code de la spécialité';
COMMENT ON COLUMN SCO_SCOLARITE.MENTION.LL_MENTION IS 'Libellé long de la spécialité';
COMMENT ON COLUMN SCO_SCOLARITE.MENTION.LC_MENTION IS 'Libellé court de la spécialité';
COMMENT ON COLUMN SCO_SCOLARITE.MENTION.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


CREATE TABLE SCO_SCOLARITE.SPECIALITE (
    ID_SPECIALITE NUMBER(38) NOT NULL,
    CODE VARCHAR2(255) NOT NULL,
    LL_SPECIALITE VARCHAR(255) NOT NULL,
    LC_SPECIALITE VARCHAR(255),
    IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_SPECIALITE PRIMARY KEY (ID_SPECIALITE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.SPECIALITE_SEQ START WITH 3;
COMMENT ON TABLE SCO_SCOLARITE.SPECIALITE IS 'Liste des spécialités dans le domaine universitaire';
COMMENT ON COLUMN SCO_SCOLARITE.SPECIALITE.CODE IS 'Code de la spécialité';
COMMENT ON COLUMN SCO_SCOLARITE.SPECIALITE.LL_SPECIALITE IS 'Libellé long de la spécialité';
COMMENT ON COLUMN SCO_SCOLARITE.SPECIALITE.LC_SPECIALITE IS 'Libellé court de la spécialité';
COMMENT ON COLUMN SCO_SCOLARITE.SPECIALITE.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


CREATE TABLE SCO_SCOLARITE.TYPE_DESCRIPTIFDESTINATION (
  	ID_TYPE_DESCRIPTIFDESTINATION NUMBER(38) NOT NULL,
  	TYPE_DESCRIPTIFDESTINATION VARCHAR2(255) NOT NULL,
  	LIBELLE VARCHAR2(255) NOT NULL,
  	IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
  	CONSTRAINT PK_TYPE_DESCRIPTIFDESTINATION PRIMARY KEY (ID_TYPE_DESCRIPTIFDESTINATION) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_DESCRIPTIFDESTINATION_SEQ START WITH 3;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_DESCRIPTIFDESTINATION IS 'Type de destination auquelle est destiné un descriptif (= Habilitation ou Publication ou ...)';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_DESCRIPTIFDESTINATION.TYPE_DESCRIPTIFDESTINATION IS 'Type de la destination';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_DESCRIPTIFDESTINATION.LIBELLE IS 'Libellé de la destination';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_DESCRIPTIFDESTINATION.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


CREATE TABLE SCO_SCOLARITE.MODE_AP (
    ID_MODE_AP NUMBER(38) NOT NULL,
    CODE VARCHAR2(255) NOT NULL,
    LIBELLE VARCHAR(255) NOT NULL,
    IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_MODE_AP PRIMARY KEY (ID_MODE_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.MODE_AP_SEQ START WITH 4;
COMMENT ON TABLE SCO_SCOLARITE.MODE_AP IS 'Liste des modes d''un AP';
COMMENT ON COLUMN SCO_SCOLARITE.MODE_AP.CODE IS 'Code du mode';
COMMENT ON COLUMN SCO_SCOLARITE.MODE_AP.LIBELLE IS 'Libellé du mode';
COMMENT ON COLUMN SCO_SCOLARITE.MODE_AP.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ TABLES de la FORMATION ------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------

-------------------- PATTERN ACCOUNTABILITY ------------------
CREATE TABLE SCO_SCOLARITE.TYPE_COMPOSANT (
  	ID_TYPE_COMPOSANT NUMBER(38) NOT NULL,
  	NOM VARCHAR2(255) NOT NULL,
  	LIBELLE VARCHAR2(255) NOT NULL,
  	CONSTRAINT PK_TYPE_COMPOSANT PRIMARY KEY (ID_TYPE_COMPOSANT) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_COMPOSANT_SEQ START WITH 10;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_COMPOSANT IS 'Table des types de composants(= DIPLOME ou VERSION_DIPLOME ou PERIODE ou PARCOURS ou REGROUPEMENT ou UE ou EC ou AP ou AE)';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_COMPOSANT.NOM IS 'Nom du type de composant';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_COMPOSANT.LIBELLE IS 'Libellé du type de composant';


CREATE TABLE SCO_SCOLARITE.COMPOSANT (
  	ID_COMPOSANT NUMBER(38) NOT NULL,
  	TYPE_COMPOSANT_ID NUMBER(38) NOT NULL,
	  DOMAINE_ID NUMBER(38),
  	CODE VARCHAR2(255) NOT NULL,
  	LL_COMPOSANT VARCHAR2(255) NOT NULL,
  	LC_COMPOSANT VARCHAR2(255),
  	PERS_ID_CREATION NUMBER, 
  	PERS_ID_MODIFICATION NUMBER,
  	D_CREATION DATE, 
  	D_MODIFICATION DATE,
  	CONSTRAINT PK_COMPOSANT PRIMARY KEY (ID_COMPOSANT) USING INDEX TABLESPACE INDX_CKTL_SCOL,
  	CONSTRAINT FK_COMPOSANT_TCID FOREIGN KEY (TYPE_COMPOSANT_ID) REFERENCES SCO_SCOLARITE.TYPE_COMPOSANT (ID_TYPE_COMPOSANT),
  	CONSTRAINT FK_COMPOSANT_PIDCREATION FOREIGN KEY (PERS_ID_CREATION) REFERENCES GRHUM.PERSONNE (PERS_ID) DEFERRABLE INITIALLY DEFERRED,
  	CONSTRAINT FK_COMPOSANT_PIDMODIF FOREIGN KEY (PERS_ID_MODIFICATION) REFERENCES GRHUM.PERSONNE (PERS_ID) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_COMPOSANT_DOMAINEID FOREIGN KEY (DOMAINE_ID) REFERENCES SCO_SCOLARITE.DOMAINE (ID_DOMAINE)  DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.COMPOSANT_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.COMPOSANT IS 'Table des composants';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.DOMAINE_ID IS 'Domaine du composant (lien avec la table DOMAINE)';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.TYPE_COMPOSANT_ID IS 'Type du composant (lien avec la table TYPE_COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.CODE IS 'Code du composant';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.LL_COMPOSANT IS 'Libellé long du composant';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.LC_COMPOSANT IS 'Libellé court du composant';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.PERS_ID_CREATION IS 'Pers_Id du créateur du composant';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.PERS_ID_MODIFICATION IS 'Per_Id du dernier modificateur du composant';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.D_CREATION IS 'Date de création du composant';
COMMENT ON COLUMN SCO_SCOLARITE.COMPOSANT.D_MODIFICATION IS 'Date de création du composant';


CREATE TABLE SCO_SCOLARITE.TYPE_LIEN (
  	ID_TYPE_LIEN NUMBER(38) NOT NULL,
  	NOM VARCHAR2(255) NOT NULL,
  	CONSTRAINT PK_TYPE_LIEN PRIMARY KEY (ID_TYPE_LIEN) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_LIEN_SEQ START WITH 2;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_LIEN IS 'Table des types de liens';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_LIEN.NOM IS 'Nom du type de lien (composer, versionner, lierDiplomeIntermediaire)';


CREATE TABLE SCO_SCOLARITE.LIEN (
  	ID_LIEN NUMBER(38) NOT NULL,
  	PARENT_ID NUMBER(38) NOT NULL,
  	CHILD_ID NUMBER(38) NOT NULL,
  	TYPE_LIEN_ID NUMBER(38) NOT NULL,
  	CONSTRAINT PK_LIEN PRIMARY KEY (ID_LIEN) USING INDEX TABLESPACE INDX_CKTL_SCOL,
  	CONSTRAINT FK_LIEN_PID FOREIGN KEY (PARENT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
  	CONSTRAINT FK_LIEN_CID FOREIGN KEY (CHILD_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
  	CONSTRAINT FK_LIEN_TLID FOREIGN KEY (TYPE_LIEN_ID) REFERENCES SCO_SCOLARITE.TYPE_LIEN (ID_TYPE_LIEN) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.LIEN_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.LIEN IS 'Table des liens entres les composants existant (les liens ajoutés sont validés grâce aux règles de liaison existantes';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN.PARENT_ID IS 'Composant parent (lien avec la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN.CHILD_ID IS 'Composant enfant (lien avec la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN.TYPE_LIEN_ID IS 'Type du lien pour ce lien (lien avec la table TYPE_LIEN)';


CREATE TABLE SCO_SCOLARITE.LIEN_COMPOSER (
  	ID_LIEN_COMPOSER NUMBER(38) NOT NULL,
  	OBLIGATOIRE NUMBER DEFAULT 0,
  	ORDRE NUMBER,
  	COEFFICIENT NUMBER,
  	CHOIX_ECTS NUMBER,
    CHOIX_MIN NUMBER,
    CHOIX_MAX NUMBER,
    SANS_COMPOSANT NUMBER DEFAULT 0,
    VALEUR_HEURES NUMBER,
    VALEUR_TEMPS_ETUDIANT NUMBER,
    SEUIL NUMBER,
    NB_GROUPES NUMBER,
    BASE_NOTE NUMBER,
    SANS_NOTE NUMBER DEFAULT 0,
    EPREUVE NUMBER DEFAULT 0,
    DUREE_MIN NUMBER,
    DUREE_MAX NUMBER,
  	CONSTRAINT PK_LIEN_COMPOSER PRIMARY KEY (ID_LIEN_COMPOSER) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.LIEN_COMPOSER_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.LIEN_COMPOSER IS 'Table en héritage de la table LIEN pour définir des attributs complémentaires pour les types de lien composer';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.OBLIGATOIRE IS 'Indicateur pour savoir si le composant est obligatoire à prendre dans l''offre de formation';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.ORDRE IS 'Indicateur pour l''affichage d''un composant en lien avec un autre (ex : un AP sous un EC doit se trouver en 3ème place dans la liste des APs de l''EC)';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.CHOIX_ECTS IS 'Rédéfinition de la valeur CHOIX_ECTS dans la table REGROUPEMENT et UE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.CHOIX_MIN IS 'Rédéfinition de la valeur CHOIX_MIN dans la table REGROUPEMENT et UE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.CHOIX_MAX IS 'Rédéfinition de la valeur CHOIX_MAX dans la table REGROUPEMENT et UE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.SANS_COMPOSANT IS 'Rédéfinition de la valeur SANS_COMPOSANT dans la table REGROUPEMENT et UE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.VALEUR_HEURES IS 'Rédéfinition de la valeur VALEUR_HEURES dans la table AP pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.VALEUR_TEMPS_ETUDIANT IS 'Rédéfinition de la valeur VALEUR_TEMPS_ETUDIANT dans la table AP pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.SEUIL IS 'Rédéfinition de la valeur SEUIL dans la table AP pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.NB_GROUPES IS 'Rédéfinition de la valeur NB_GROUPES dans la table AE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.BASE_NOTE IS 'Rédéfinition de la valeur BASE_NOTE dans la table AE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.SANS_NOTE IS 'Rédéfinition de la valeur SANS_NOTE dans la table AE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.EPREUVE IS 'Rédéfinition de la valeur EPREUVE dans la table AE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.DUREE_MIN IS 'Rédéfinition de la valeur DUREE_MIN dans la table AE pour un lien';
COMMENT ON COLUMN SCO_SCOLARITE.LIEN_COMPOSER.DUREE_MAX IS 'Rédéfinition de la valeur DUREE_MAX dans la table AE pour un lien';


CREATE TABLE SCO_SCOLARITE.REGLE_LIAISON (
  	ID_REGLE_LIAISON NUMBER(38) NOT NULL,
  	ALLOWED_PARENT_ID NUMBER(38) NOT NULL,
  	ALLOWED_CHILD_ID NUMBER(38) NOT NULL,
  	TYPE_LIEN_ID NUMBER(38) NOT NULL,
  	FORBIDDEN NUMBER DEFAULT 0,
  	VISIBLE NUMBER DEFAULT 1,
  	CONSTRAINT PK_REGLE_LIAISON PRIMARY KEY (ID_REGLE_LIAISON) USING INDEX TABLESPACE INDX_CKTL_SCOL,
  	CONSTRAINT FK_REGLELIAISON_APARID FOREIGN KEY (ALLOWED_PARENT_ID) REFERENCES SCO_SCOLARITE.TYPE_COMPOSANT (ID_TYPE_COMPOSANT),
  	CONSTRAINT FK_REGLELIAISON_ACHID FOREIGN KEY (ALLOWED_CHILD_ID) REFERENCES SCO_SCOLARITE.TYPE_COMPOSANT (ID_TYPE_COMPOSANT),
  	CONSTRAINT FK_REGLELIAISON_TLIEID FOREIGN KEY (TYPE_LIEN_ID) REFERENCES SCO_SCOLARITE.TYPE_LIEN (ID_TYPE_LIEN)
);
CREATE SEQUENCE SCO_SCOLARITE.REGLE_LIAISON_SEQ START WITH 58;
COMMENT ON TABLE SCO_SCOLARITE.REGLE_LIAISON IS 'Table des règles de liaison autorisées ou interdites entre les différents types de composants';
COMMENT ON COLUMN SCO_SCOLARITE.REGLE_LIAISON.ALLOWED_PARENT_ID IS 'Type du composant parent autorisé pour cette règle (lien avec la table TYPE_COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.REGLE_LIAISON.ALLOWED_CHILD_ID IS 'Type du composant enfant autorisé pour cette règle (lien avec la table TYPE_COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.REGLE_LIAISON.TYPE_LIEN_ID IS 'Type du lien autorisé pour cette règle (lien avec la table TYPE_LIEN)';
COMMENT ON COLUMN SCO_SCOLARITE.REGLE_LIAISON.FORBIDDEN IS 'Indicateur pour savoir si la règle de liaison est autorisée (=0)ou interdites (=1)';
COMMENT ON COLUMN SCO_SCOLARITE.REGLE_LIAISON.VISIBLE IS 'Indicateur pour savoir si la règle de liaison sera visible (=1) ou non (=0)';


CREATE TABLE SCO_SCOLARITE.CREDITABLE (
    ID_CREDITABLE NUMBER(38) NOT NULL,
    COMPOSANT_ID NUMBER(38),
    LIEN_ID NUMBER(38),
    CREDIT_ECTS NUMBER,
    TRAVAIL_ETUDIANT NUMBER,
    BASE_NOTE NUMBER,
    SANS_NOTE NUMBER DEFAULT 0,
    CONSTRAINT PK_CREDITABLE PRIMARY KEY (ID_CREDITABLE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_CREDITABLE_CID FOREIGN KEY (COMPOSANT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_CREDITABLE_LID FOREIGN KEY (LIEN_ID) REFERENCES SCO_SCOLARITE.LIEN (ID_LIEN) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.CREDITABLE_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.CREDITABLE IS 'Table des composants de type AP liés à un EC ou un UE';
COMMENT ON COLUMN SCO_SCOLARITE.CREDITABLE.COMPOSANT_ID IS 'Composant (lien vers la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.CREDITABLE.LIEN_ID IS 'Lien (lien vers la table LIEN)';
COMMENT ON COLUMN SCO_SCOLARITE.CREDITABLE.CREDIT_ECTS IS 'Nombre de crédits ECTS d''un composant';
COMMENT ON COLUMN SCO_SCOLARITE.CREDITABLE.TRAVAIL_ETUDIANT IS 'Nombre d''heures de travail demandé pour l''étudiant';
COMMENT ON COLUMN SCO_SCOLARITE.CREDITABLE.BASE_NOTE IS 'Base de notation ou note maximale ';
COMMENT ON COLUMN SCO_SCOLARITE.CREDITABLE.SANS_NOTE IS 'Indicateur pour savoir si le composant contient des notes ou pas';


CREATE TABLE SCO_SCOLARITE.LANGUES_COMPOSANT (
    COMPOSANT_ID NUMBER(38) NOT NULL,
    CODE_LANGUE VARCHAR2(2) NOT NULL,
    CONSTRAINT PK_LANGUES_COMPOSANT PRIMARY KEY (COMPOSANT_ID, CODE_LANGUE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_LANGUES_COMPOSANT_COMPOSANT FOREIGN KEY (COMPOSANT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,        
    CONSTRAINT FK_LANGUES_COMPOSANT_LANGUE FOREIGN KEY (CODE_LANGUE) REFERENCES GRHUM.LANGUE (C_LANGUE) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.LANGUES_COMPOSANT_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.LANGUES_COMPOSANT IS 'Table de jointure entre une langue et un composant (un composant peut-être enseigné dans plusieurs langues)';
COMMENT ON COLUMN SCO_SCOLARITE.LANGUES_COMPOSANT.COMPOSANT_ID IS 'Composant (lien avec la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.LANGUES_COMPOSANT.CODE_LANGUE IS 'Code de la langue (lien avec la table LANGUE)';


CREATE TABLE SCO_SCOLARITE.IMPLANTATIONS_COMP (
    COMPOSANT_ID NUMBER(38) NOT NULL,
    IMGEO_ORDRE NUMBER NOT NULL,
    CONSTRAINT PK_IMPLANTATIONS_COMP PRIMARY KEY (COMPOSANT_ID, IMGEO_ORDRE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_IMPLANTATIONS_COMP_COMP FOREIGN KEY (COMPOSANT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_IMPLANTATIONS_COMP_IMPGEO FOREIGN KEY (IMGEO_ORDRE) REFERENCES GRHUM.IMPLANTATION_GEO (IMGEO_ORDRE) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.IMPLANTATIONS_COMP_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.IMPLANTATIONS_COMP IS 'Table de jointure entre une implémentation géographique et un composant (un composant peut appartenir à plusieurs implémentations géographiques)';
COMMENT ON COLUMN SCO_SCOLARITE.IMPLANTATIONS_COMP.COMPOSANT_ID IS 'Composant (lien avec la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.IMPLANTATIONS_COMP.IMGEO_ORDRE IS 'Code de l''implémentation géographique (lien avec la table IMPLEMENTATION_GEO)';


CREATE TABLE SCO_SCOLARITE.STRUCTURES_COMPOSANT (
    COMPOSANT_ID NUMBER(38) NOT NULL,
    C_STRUCTURE VARCHAR2(10) NOT NULL,
    CONSTRAINT PK_STRUCTURES_COMPOSANT PRIMARY KEY (COMPOSANT_ID, C_STRUCTURE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_STRUCTURES_COMP_COMPOSANT FOREIGN KEY (COMPOSANT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_STRUCTURES_COMP_STRUCTURE FOREIGN KEY (C_STRUCTURE) REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.STRUCTURES_COMPOSANT_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.STRUCTURES_COMPOSANT IS 'Table de jointure entre une structure  et un composant (un composant peut-être enseigné dans plusieurs structures)';
COMMENT ON COLUMN SCO_SCOLARITE.STRUCTURES_COMPOSANT.COMPOSANT_ID IS 'Composant (lien avec la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.STRUCTURES_COMPOSANT.C_STRUCTURE IS 'Code de la structure (lien avec la table GRHUM.STRUCTURE_ULR)';


CREATE TABLE SCO_SCOLARITE.DISCIPLINES_COMPOSANT (
    COMPOSANT_ID NUMBER(38) NOT NULL,
    DISCIPLINE_ID NUMBER(38) NOT NULL,
    CONSTRAINT PK_DISCIPLINES_COMPOSANT PRIMARY KEY (COMPOSANT_ID, DISCIPLINE_ID) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_DISCIPLINES_COMP_COMPOSANT FOREIGN KEY (COMPOSANT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_DISCIPLINES_COMP_DISCIPLINE FOREIGN KEY (DISCIPLINE_ID) REFERENCES GRHUM.DISCIPLINE (DISC_ORDRE) DEFERRABLE INITIALLY DEFERRED    
);
CREATE SEQUENCE SCO_SCOLARITE.DISCIPLINES_COMPOSANT_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.DISCIPLINES_COMPOSANT IS 'Table de jointure entre une discipline et un composant (un composant peut-être enseigné dans plusieurs disciplines)';
COMMENT ON COLUMN SCO_SCOLARITE.DISCIPLINES_COMPOSANT.COMPOSANT_ID IS 'Composant (lien avec la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.DISCIPLINES_COMPOSANT.DISCIPLINE_ID IS 'Discipline (lien avec la table GRHUM.DISCIPLINE)';


-------------------- PARTIE BASSE --------------------
CREATE TABLE SCO_SCOLARITE.REGROUPEMENT (
    ID_REGROUPEMENT NUMBER(38) NOT NULL,
    CHOIX_ECTS NUMBER,
    CHOIX_MIN NUMBER,
    CHOIX_MAX NUMBER,
    SANS_COMPOSANT NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_REGROUPEMENT PRIMARY KEY (ID_REGROUPEMENT) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_REGROUPEMENT_COMPOSANTID FOREIGN KEY (ID_REGROUPEMENT) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.REGROUPEMENT IS 'Table des composants de type REGROUPEMENT';
COMMENT ON COLUMN SCO_SCOLARITE.REGROUPEMENT.CHOIX_ECTS IS 'Choix ECTS pour l''étudiant';
COMMENT ON COLUMN SCO_SCOLARITE.REGROUPEMENT.CHOIX_MIN IS 'Nombre minimal de choix pour l''étudiant';
COMMENT ON COLUMN SCO_SCOLARITE.REGROUPEMENT.CHOIX_MAX IS 'Nombre maximal de choix pour l''étudiant';
COMMENT ON COLUMN SCO_SCOLARITE.REGROUPEMENT.SANS_COMPOSANT IS 'Indique si le regroupement possède des composants ou non';


CREATE TABLE SCO_SCOLARITE.UE (
    ID_UE NUMBER(38) NOT NULL,
    CHOIX_ECTS NUMBER,
    CHOIX_MIN NUMBER,
    CHOIX_MAX NUMBER,
    SANS_COMPOSANT NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_UE PRIMARY KEY (ID_UE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_UE_COMPOSANTID FOREIGN KEY (ID_UE) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.UE IS 'Table des composants de type UE';
COMMENT ON COLUMN SCO_SCOLARITE.UE.CHOIX_ECTS IS 'Choix ECTS pour l''étudiant';
COMMENT ON COLUMN SCO_SCOLARITE.UE.CHOIX_MIN IS 'Nombre minimal de choix pour l''étudiant';
COMMENT ON COLUMN SCO_SCOLARITE.UE.CHOIX_MAX IS 'Nombre maximal de choix pour l''étudiant';
COMMENT ON COLUMN SCO_SCOLARITE.UE.SANS_COMPOSANT IS 'Indique si l''UE possède des composants ou non';


CREATE TABLE SCO_SCOLARITE.EC (
    ID_EC NUMBER(38) NOT NULL,
    LIBRE NUMBER DEFAULT 0 NOT NULL,
    CONSTRAINT PK_EC PRIMARY KEY (ID_EC) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_EC_COMPOSANTID FOREIGN KEY (ID_EC) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.EC IS 'Table des composants de type EC';
COMMENT ON COLUMN SCO_SCOLARITE.EC.LIBRE IS 'Indication sur le fait que l''EC soit libre ou non';


CREATE TABLE SCO_SCOLARITE.SESSION_COMPOSANT (
    ID_SESSION_COMPOSANT NUMBER(38) NOT NULL,
    COMPOSANT_ID NUMBER(38) NOT NULL, 
    ACTIVE NUMBER DEFAULT 0 NOT NULL,
    LIBELLE VARCHAR2(255),
    SEUIL NUMBER,
    CONSTRAINT PK_SESSION_COMPOSANT PRIMARY KEY (ID_SESSION_COMPOSANT) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_SESSIONCOMPOSANT_CID FOREIGN KEY (COMPOSANT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.SESSION_COMPOSANT_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.SESSION_COMPOSANT IS 'Table des sessions d''un composant';
COMMENT ON COLUMN SCO_SCOLARITE.SESSION_COMPOSANT.COMPOSANT_ID IS 'Composant de la session (lien vers la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.SESSION_COMPOSANT.ACTIVE IS 'Indicateur pour savoir si la session est active ou non';
COMMENT ON COLUMN SCO_SCOLARITE.SESSION_COMPOSANT.LIBELLE IS 'Libellé de la session';
COMMENT ON COLUMN SCO_SCOLARITE.SESSION_COMPOSANT.SEUIL IS 'Seuil de la session';


CREATE TABLE SCO_SCOLARITE.TYPE_FORMULE (
  	ID_TYPE_FORMULE NUMBER(38) NOT NULL,
  	TYPE_FORMULE VARCHAR2(255) NOT NULL,
  	LIBELLE VARCHAR2(255) NOT NULL,
  	IS_READ_ONLY NUMBER DEFAULT 0 NOT NULL,
  	CONSTRAINT PK_TYPE_FORMULE PRIMARY KEY (ID_TYPE_FORMULE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.TYPE_FORMULE_SEQ START WITH 4;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_FORMULE IS 'Table des types de formule';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_FORMULE.TYPE_FORMULE IS 'Type de formule';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_FORMULE.LIBELLE IS 'Libellé du Type de formule';
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_FORMULE.IS_READ_ONLY IS 'Indique si le champ est lecture/ecriture/suppression ou juste en lecture';


CREATE TABLE SCO_SCOLARITE.FORMULE (
    ID_FORMULE NUMBER(38) NOT NULL,
    SESSION_COMPOSANT_ID NUMBER(38) NOT NULL,
    TYPE_FORMULE_ID NUMBER(38) NOT NULL,
    FORMULE VARCHAR2(255),
    CONSTRAINT PK_FORMULE PRIMARY KEY (ID_FORMULE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_SFORMULE_SESSID FOREIGN KEY (SESSION_COMPOSANT_ID) REFERENCES SCO_SCOLARITE.SESSION_COMPOSANT (ID_SESSION_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_SFORMULE_TFID FOREIGN KEY (TYPE_FORMULE_ID) REFERENCES SCO_SCOLARITE.TYPE_FORMULE (ID_TYPE_FORMULE)
);
CREATE SEQUENCE SCO_SCOLARITE.FORMULE_SEQ START WITH 1;


CREATE TABLE SCO_SCOLARITE.AP (
    ID_AP NUMBER(38) NOT NULL,
    TYPE_AP_ID NUMBER(38) NOT NULL,
    MODE_AP_ID NUMBER(38) NOT NULL,
    VALEUR_HEURES NUMBER,
    VALEUR_TEMPS_ETUDIANT NUMBER,
    SEUIL NUMBER,
    NB_GROUPES NUMBER,
    CONSTRAINT PK_AP PRIMARY KEY (ID_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_AP_TYPEAPID FOREIGN KEY (TYPE_AP_ID) REFERENCES SCO_SCOLARITE.TYPE_AP (ID_TYPE_AP),
    CONSTRAINT FK_AP_MODEAPID FOREIGN KEY (MODE_AP_ID) REFERENCES SCO_SCOLARITE.MODE_AP (ID_MODE_AP),
    CONSTRAINT FK_AP_COMPOSANTID FOREIGN KEY (ID_AP) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.AP IS 'Table des composants de type AP liés à un EC ou un UE';
COMMENT ON COLUMN SCO_SCOLARITE.AP.TYPE_AP_ID IS 'Type de l''AP (lien avec la table TYPE_AP)';
COMMENT ON COLUMN SCO_SCOLARITE.AP.MODE_AP_ID IS 'Mode de l''AP (lien avec la table MODE_AP)';
COMMENT ON COLUMN SCO_SCOLARITE.AP.VALEUR_HEURES IS 'Nombre d''heures de l''AP';
COMMENT ON COLUMN SCO_SCOLARITE.AP.VALEUR_TEMPS_ETUDIANT IS 'Nombre d''heures de travail étudiant de l''AP';
COMMENT ON COLUMN SCO_SCOLARITE.AP.SEUIL IS 'Nombre max d''etudiants par groupe';
COMMENT ON COLUMN SCO_SCOLARITE.AP.NB_GROUPES IS 'Nombre de groupes';


CREATE TABLE SCO_SCOLARITE.AE (
    ID_AE NUMBER(38) NOT NULL,
    TYPE_AE_ID NUMBER(38) NOT NULL,
    BASE_NOTE NUMBER,
    SANS_NOTE NUMBER DEFAULT 0,
    EPREUVE NUMBER DEFAULT 0,
    DUREE_MIN NUMBER,
    DUREE_MAX NUMBER,
    CONSTRAINT PK_AE PRIMARY KEY (ID_AE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_AE_TYPEAEID FOREIGN KEY (TYPE_AE_ID) REFERENCES SCO_SCOLARITE.TYPE_AE (ID_TYPE_AE),
    CONSTRAINT FK_AE_COMPOSANTID FOREIGN KEY (ID_AE) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.AE IS 'Table des composants de type AE liés à un EC ou un UE';
COMMENT ON COLUMN SCO_SCOLARITE.AE.BASE_NOTE IS 'Défini la base de note de l’évaluation';
COMMENT ON COLUMN SCO_SCOLARITE.AE.SANS_NOTE IS 'Défini si l''évaluation est note ou doit simplement être validée (exemple d''évaluation non noté : Stage, TOEIC, ...)';
COMMENT ON COLUMN SCO_SCOLARITE.AE.TYPE_AE_ID IS 'Type de l''AE (lien vers la table TYPE_AE)';
COMMENT ON COLUMN SCO_SCOLARITE.AE.EPREUVE IS 'Défini si l''évaluation comprend une épreuve';
COMMENT ON COLUMN SCO_SCOLARITE.AE.DUREE_MIN IS 'Durée minimale de l''épreuve';
COMMENT ON COLUMN SCO_SCOLARITE.AE.DUREE_MAX IS 'Durée maximale de l''épreuve';



-------------------- PARTIE HAUTE --------------------
CREATE TABLE SCO_SCOLARITE.HABILITATION (
  	ID_HABILITATION NUMBER(38) NOT NULL,
  	ANNEE_DEBUT NUMBER NOT NULL,
  	ANNEE_FIN NUMBER NOT NULL,
  	NIVEAU_FORMATION VARCHAR2(255),
  	CONSTRAINT PK_HABILITATION PRIMARY KEY (ID_HABILITATION) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.HABILITATION_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.HABILITATION IS 'Table des habilitations des formations';
COMMENT ON COLUMN SCO_SCOLARITE.HABILITATION.ANNEE_DEBUT IS 'Année de début de l''habilitation';
COMMENT ON COLUMN SCO_SCOLARITE.HABILITATION.ANNEE_FIN IS 'Année de fin de l''habilitation';


CREATE TABLE SCO_SCOLARITE.DIPLOME (
  	ID_DIPLOME NUMBER(38) NOT NULL,
  	SPECIALITE_ID NUMBER(38),
  	--SPECIALITE_COMPLEMENTAIRE VARCHAR2(255),
  	GRADE_UNIVERSITAIRE_ID NUMBER(38),
  	TYPE_ORGANISATION_ID NUMBER(38),
  	HABILITATION_ID NUMBER(38),
  	TYPE_FORMATION_ID NUMBER(38),
  	STATUT_FORMATION_ID NUMBER(38),
    SISE_MESR VARCHAR2(255),
    SISE_ETABLISSEMENT VARCHAR2(255),
  	DELIBERATION_SEMESTRIELLE NUMBER DEFAULT 0,
  	MENTION VARCHAR2(255),
  	CONSTRAINT PK_DIPLOME PRIMARY KEY (ID_DIPLOME) USING INDEX TABLESPACE INDX_CKTL_SCOL,
  	CONSTRAINT FK_DIPLOME_SPEID FOREIGN KEY (SPECIALITE_ID) REFERENCES SCO_SCOLARITE.SPECIALITE (ID_SPECIALITE),
  	CONSTRAINT FK_DIPLOME_GRADEID FOREIGN KEY (GRADE_UNIVERSITAIRE_ID) REFERENCES SCO_SCOLARITE.GRADE_UNIVERSITAIRE (ID_GRADE_UNIVERSITAIRE),
  	CONSTRAINT FK_DIPLOME_TYPEOID FOREIGN KEY (TYPE_ORGANISATION_ID) REFERENCES SCO_SCOLARITE.TYPE_ORGANISATION (ID_TYPE_ORGANISATION),
  	CONSTRAINT FK_DIPLOME_HABID FOREIGN KEY (HABILITATION_ID) REFERENCES SCO_SCOLARITE.HABILITATION (ID_HABILITATION),
  	CONSTRAINT FK_DIPLOME_TYPEFID FOREIGN KEY (TYPE_FORMATION_ID) REFERENCES SCO_SCOLARITE.TYPE_FORMATION (ID_TYPE_FORMATION),
  	CONSTRAINT FK_DIPLOME_STATUTFID FOREIGN KEY (STATUT_FORMATION_ID) REFERENCES SCO_SCOLARITE.STATUT_FORMATION (ID_STATUT_FORMATION),
  	CONSTRAINT FK_DIPLOME_COMPOSANTID FOREIGN KEY (ID_DIPLOME) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.DIPLOME IS 'Table des composants de type DIPLOME';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.SPECIALITE_ID IS 'Spécialité du diplôme (lien vers la table SPECIALITE)';
--COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.SPECIALITE_COMPLEMENTAIRE IS 'Spécialité complémentaire du diplôme';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.GRADE_UNIVERSITAIRE_ID IS 'Grade universitaire du diplôme (lien vers la table GRADE_UNIVERSITAIRE)';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.TYPE_ORGANISATION_ID IS 'Type d''organisation du diplôme (lien vers la table TYPE_ORGANISATION)';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.HABILITATION_ID IS 'Habilitation pour l''ouverture d''un diplôme (lien vers la table HABILITATION)';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.TYPE_FORMATION_ID IS 'Type de la formation (lien vers la table TYPE_FORMATION)';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.STATUT_FORMATION_ID IS 'Statut de la formation (lien vers la table STATUT_FORMATION)';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.SISE_MESR IS 'Le code SISE fourni par le MESR (obligatoire)';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.SISE_ETABLISSEMENT IS 'Le code SISE défini par l''établissement';
COMMENT ON COLUMN SCO_SCOLARITE.DIPLOME.MENTION IS 'Libellé de la mention du diplôme';


CREATE TABLE SCO_SCOLARITE.VERSION_DIPLOME (
    ID_VERSION_DIPLOME NUMBER(38) NOT NULL,
    -- STRUCTURE_ID NUMBER(38) NOT NULL,
    ANNEE NUMBER NOT NULL,
    CONSTRAINT PK_VERSION_DIPLOME PRIMARY KEY (ID_VERSION_DIPLOME) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_VERSION_DIPLOME_COMPOSANTID FOREIGN KEY (ID_VERSION_DIPLOME) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.VERSION_DIPLOME IS 'Table des composants de type VERSION_DIPLOME (et qui correspondent à la version d''un et un seul diplôme afin de pouvoir le versionner d''une année sur l''autre ou le versionner pour des composantes différentes dans une même université';
COMMENT ON COLUMN SCO_SCOLARITE.VERSION_DIPLOME.ANNEE IS 'Année de la version';


CREATE TABLE SCO_SCOLARITE.PERIODE (
    ID_PERIODE NUMBER(38) NOT NULL,
    CONSTRAINT PK_PERIODE PRIMARY KEY (ID_PERIODE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_PERIODE_COMPOSANTID FOREIGN KEY (ID_PERIODE) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.PERIODE IS 'Table des composants de type PERIODE';


CREATE TABLE SCO_SCOLARITE.PARCOURS (
    ID_PARCOURS NUMBER(38) NOT NULL,
    --RESPONSABLE_ID NUMBER,
    --COEFFICIENT NUMBER,
    --SEUIL NUMBER,
    --TYPE VARCHAR2(255),
    --NB_INSCRITS NUMBER DEFAULT 0,    
    CONSTRAINT PK_PARCOURS PRIMARY KEY (ID_PARCOURS) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_PARCOURS_COMPOSANTID FOREIGN KEY (ID_PARCOURS) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT)
);
COMMENT ON TABLE SCO_SCOLARITE.PARCOURS IS 'Table des composants de type PARCOURS';
--COMMENT ON COLUMN SCO_SCOLARITE.PARCOURS.RESPONSABLE_ID IS 'Responsable du PARCOURS (lien avec la table PERSONNE)';
--COMMENT ON COLUMN SCO_SCOLARITE.PARCOURS.COEFFICIENT IS 'Coefficient';
--COMMENT ON COLUMN SCO_SCOLARITE.PARCOURS.SEUIL IS 'Seuil de validation de l’élément du parcours';
--COMMENT ON COLUMN SCO_SCOLARITE.PARCOURS.TYPE IS 'Type de parcours (Voie Générale, spécialisation, ...)';
--COMMENT ON COLUMN SCO_SCOLARITE.PARCOURS.NB_INSCRITS IS 'Nombre d''inscrits dans le parcours';

-------------------- DESCRIPTIFS --------------------
CREATE TABLE SCO_SCOLARITE.DESCRIPTIF (
    ID_DESCRIPTIF NUMBER(38) NOT NULL,
    COMPOSANT_ID NUMBER(38) NOT NULL,
    LIBELLE VARCHAR2(255),
    DESTINATION_ID NUMBER(38),
    ANNEE DATE,
    VERSION_DESCRIPTIF VARCHAR2(32),
    CONSTRAINT PK_DESCRIPTIF PRIMARY KEY (ID_DESCRIPTIF) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_DESCRIPTIF_COMPID FOREIGN KEY (COMPOSANT_ID) REFERENCES SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_DESCRIPTIF_DESTID FOREIGN KEY (DESTINATION_ID) REFERENCES SCO_SCOLARITE.TYPE_DESCRIPTIFDESTINATION (ID_TYPE_DESCRIPTIFDESTINATION) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.DESCRIPTIF_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.DESCRIPTIF IS 'Table des descriptifs syllabus';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF.COMPOSANT_ID IS 'Composant (lien vers la table COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF.LIBELLE IS 'Libellé du descriptif';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF.DESTINATION_ID IS 'Destination du descriptif (lien vers la table TYPE_DESCRIPTIFDESTINATION)';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF.ANNEE IS 'Année du descriptif';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF.VERSION_DESCRIPTIF IS 'Version du descriptif';


CREATE TABLE SCO_SCOLARITE.DESCRIPTIF_THEME (
    ID_DESCRIPTIF_THEME NUMBER(38) NOT NULL,
    TYPE_COMPOSANT_ID NUMBER(38) NOT NULL,
    LIBELLE VARCHAR2(255),
    ORDRE NUMBER,
    CONSTRAINT PK_DESCRIPTIF_THEME PRIMARY KEY (ID_DESCRIPTIF_THEME) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_DESCRIPTHEME_TYPECOMPOSANT FOREIGN KEY (TYPE_COMPOSANT_ID) REFERENCES SCO_SCOLARITE.TYPE_COMPOSANT (ID_TYPE_COMPOSANT) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.DESCRIPTIF_THEME_SEQ START WITH 17;
COMMENT ON TABLE SCO_SCOLARITE.DESCRIPTIF_THEME IS 'Table des thèmes des champs descriptifs syllabus';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_THEME.TYPE_COMPOSANT_ID IS 'Type composant (lien avec la table TYPE_COMPOSANT)';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_THEME.LIBELLE IS 'Libellé du thème du descriptif';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_THEME.ORDRE IS 'Ordre d''affichage du thème dans le descriptif';


CREATE TABLE SCO_SCOLARITE.DESCRIPTIF_CHAMP_TITRE (
    ID_DESCRIPTIF_CHAMP_TITRE NUMBER(38) NOT NULL,
    LIBELLE VARCHAR2(255) NOT NULL,
    ORDRE NUMBER,
    CONSTRAINT PK_DESCRIPTIF_CHAMP_TITRE PRIMARY KEY (ID_DESCRIPTIF_CHAMP_TITRE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.DESCRIPTIF_CHAMP_TITRE_SEQ START WITH 53;
COMMENT ON TABLE SCO_SCOLARITE.DESCRIPTIF_CHAMP_TITRE IS 'Table des titres des champs descriptifs syllabus';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_CHAMP_TITRE.LIBELLE IS 'Libellé du titre du descriptif';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_CHAMP_TITRE.ORDRE IS 'Ordre d''affichage du champ dans le thème';


CREATE TABLE SCO_SCOLARITE.DESCRIPTIF_THEME_TITRE (
    DESCRIPTIF_THEME_ID NUMBER(38) NOT NULL,
    DESCRIPTIF_CHAMP_TITRE_ID NUMBER(38) NOT NULL, 
    CONSTRAINT PK_DESCRIPTIF_THEME_TITRE PRIMARY KEY (DESCRIPTIF_THEME_ID , DESCRIPTIF_CHAMP_TITRE_ID) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_DESC_THEME_TITRE_THEME FOREIGN KEY (DESCRIPTIF_THEME_ID) REFERENCES SCO_SCOLARITE.DESCRIPTIF_THEME (ID_DESCRIPTIF_THEME) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_DESC_THEME_CHAMP_TITRE FOREIGN KEY (DESCRIPTIF_CHAMP_TITRE_ID) REFERENCES SCO_SCOLARITE.DESCRIPTIF_CHAMP_TITRE (ID_DESCRIPTIF_CHAMP_TITRE) DEFERRABLE INITIALLY DEFERRED
);
COMMENT ON TABLE SCO_SCOLARITE.DESCRIPTIF_THEME_TITRE IS 'Table de jointure entre les titres des champs descriptifs et les thèmes';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_THEME_TITRE.DESCRIPTIF_THEME_ID IS 'Titre du champ descriptif (lien vers la table CHAMP_DESCRIPTIF_TITRE)';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_THEME_TITRE.DESCRIPTIF_CHAMP_TITRE_ID IS 'Thème du champ descriptif (lien vers la table DESCRIPTIF_THEME)';


CREATE TABLE SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU (
    ID_DESCRIPTIF_CHAMP_CONTENU NUMBER(38) NOT NULL,
    DESCRIPTIF_ID NUMBER(38) NOT NULL,
    DESCRIPTIF_CHAMP_TITRE_ID NUMBER(38) NOT NULL,
    LIBELLE VARCHAR2(1000),
    CONSTRAINT PK_DESCRIPTIF_CHAMP_CONTENU PRIMARY KEY (ID_DESCRIPTIF_CHAMP_CONTENU) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_DESCR_CONT_DESCRID FOREIGN KEY (DESCRIPTIF_ID) REFERENCES SCO_SCOLARITE.DESCRIPTIF (ID_DESCRIPTIF) DEFERRABLE INITIALLY DEFERRED,
    CONSTRAINT FK_DESCR_CONT_TITREID FOREIGN KEY (DESCRIPTIF_CHAMP_TITRE_ID) REFERENCES SCO_SCOLARITE.DESCRIPTIF_CHAMP_TITRE (ID_DESCRIPTIF_CHAMP_TITRE) DEFERRABLE INITIALLY DEFERRED     
);
CREATE SEQUENCE SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU IS 'Table des contenus des champs descriptifs syllabus';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU.DESCRIPTIF_ID IS 'Descriptif (lien vers la table DESCRIPTIF)';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU.DESCRIPTIF_CHAMP_TITRE_ID IS 'Titre du descriptif (lien vers la table DESCRIPTIF_CHAMP_TITRE)';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU.LIBELLE IS 'Libellé du contenu du descriptif';


CREATE TABLE SCO_SCOLARITE.DESCRIPTIF_LIENSUTILES (
    ID_DESCRIPTIF_LIENSUTILES NUMBER(38) NOT NULL,
    DESCRIPTIF_ID NUMBER(38) NOT NULL,
    TITRE VARCHAR2(255) NOT NULL,
    URL VARCHAR2(1000) NOT NULL,
    ORDRE NUMBER,
    CONSTRAINT PK_DESCRIPTIF_LIENSUTILES PRIMARY KEY (ID_DESCRIPTIF_LIENSUTILES) USING INDEX TABLESPACE INDX_CKTL_SCOL,
    CONSTRAINT FK_DESCRLIENSU_DESCRIPTIFID FOREIGN KEY (DESCRIPTIF_ID) REFERENCES SCO_SCOLARITE.DESCRIPTIF (ID_DESCRIPTIF) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE SCO_SCOLARITE.DESCRIPTIF_LIENSUTILES_SEQ START WITH 1;
COMMENT ON TABLE SCO_SCOLARITE.DESCRIPTIF_LIENSUTILES IS 'Table des liens utiles d''un descriptif syllabus';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_LIENSUTILES.DESCRIPTIF_ID IS 'Descriptif (lien vers la table DESCRIPTIF)';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_LIENSUTILES.TITRE IS 'Titre du lien';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_LIENSUTILES.URL IS 'URL du lien';
COMMENT ON COLUMN SCO_SCOLARITE.DESCRIPTIF_LIENSUTILES.ORDRE IS 'Ordre d''affichage du lien';


--------------------------------------------------------------
-------------------- Tables pour CORIANDRE -------------------
--------------------------------------------------------------
CREATE TABLE SCO_SCOLARITE.QUOTITE_TRAVAIL (
	ID_QUOTITE_TRAVAIL NUMBER(38) NOT NULL,
	QTRA_CODE VARCHAR2(1) NOT NULL,
	QTRA_LIBELLE VARCHAR2(50),
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER,
	CONSTRAINT PK_QUOTITE_TRAVAIL PRIMARY KEY (ID_QUOTITE_TRAVAIL) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.QUOTITE_TRAVAIL_SEQ START WITH 7;
COMMENT ON TABLE SCO_SCOLARITE.QUOTITE_TRAVAIL IS 'Table des quotités de travail';
COMMENT ON COLUMN SCO_SCOLARITE.QUOTITE_TRAVAIL.ID_QUOTITE_TRAVAIL IS 'Id des quotités de travail';
COMMENT ON COLUMN SCO_SCOLARITE.QUOTITE_TRAVAIL.QTRA_CODE IS 'code des quotités de travail';
COMMENT ON COLUMN SCO_SCOLARITE.QUOTITE_TRAVAIL.QTRA_LIBELLE IS ' Libellé des quotités de travail';
COMMENT ON COLUMN SCO_SCOLARITE.QUOTITE_TRAVAIL.D_CREATION IS 'Date de creation de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.QUOTITE_TRAVAIL.D_MODIFICATION IS 'Date de la derniere modification de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.QUOTITE_TRAVAIL.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
COMMENT ON COLUMN SCO_SCOLARITE.QUOTITE_TRAVAIL.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.ORIGINE_RESSOURCES (
	ID_ORIGINE_RESSOURCES NUMBER(38) NOT NULL,
	LIBELLE VARCHAR2(100) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER,
 	CONSTRAINT PK_ORIGINE_RESSOURCES PRIMARY KEY (ID_ORIGINE_RESSOURCES) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.ORIGINE_RESSOURCES_SEQ START WITH 7;
COMMENT ON TABLE SCO_SCOLARITE.ORIGINE_RESSOURCES IS 'Table des origines des ressources';
COMMENT ON COLUMN SCO_SCOLARITE.ORIGINE_RESSOURCES.ID_ORIGINE_RESSOURCES IS 'Id origine des ressources ';
COMMENT ON COLUMN SCO_SCOLARITE.ORIGINE_RESSOURCES.LIBELLE IS ' Libellé origine des ressources ';
COMMENT ON COLUMN SCO_SCOLARITE.ORIGINE_RESSOURCES.D_CREATION IS 'Date de creation de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.ORIGINE_RESSOURCES.D_MODIFICATION IS 'Date de la derniere modification de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.ORIGINE_RESSOURCES.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
COMMENT ON COLUMN SCO_SCOLARITE.ORIGINE_RESSOURCES.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.COTISATION (
	ID_COTISATION NUMBER(38) NOT NULL,
	COTI_CODE VARCHAR2(2) NOT NULL,
	LIBELLE VARCHAR2(50) NOT NULL,
	VALIDITE VARCHAR2(1) NOT NULL,
	DEBUT_VALIDITE NUMBER(4) NOT NULL,
	FIN_VALIDITE NUMBER(4), 
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER,
 	CONSTRAINT PK_COTISATION PRIMARY KEY (ID_COTISATION) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.COTISATION_SEQ START WITH 12;
COMMENT ON TABLE SCO_SCOLARITE.COTISATION IS 'Table des cotisations';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.ID_COTISATION IS 'Id cotisation';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.COTI_CODE IS 'code cotisation';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.LIBELLE IS ' Libellé cotisation';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.VALIDITE IS ' validité O/N ';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.DEBUT_VALIDITE IS 'Année début de validité';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.FIN_VALIDITE IS ' Année fin de validité';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.D_CREATION IS 'Date de creation de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.D_MODIFICATION IS 'Date de la derniere modification de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
COMMENT ON COLUMN SCO_SCOLARITE.COTISATION.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE (
	ID_ACTIVITE_PROFESSIONNELLE NUMBER(38) NOT NULL,
	LIBELLE VARCHAR2(200) NOT NULL,
	VALIDITE VARCHAR2(1) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER,
 	CONSTRAINT PK_ACTIVITE_PROFESSIONNELLE PRIMARY KEY (ID_ACTIVITE_PROFESSIONNELLE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE_SEQ START WITH 10;
COMMENT ON TABLE SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE IS 'Table des activités professionnelles';
COMMENT ON COLUMN SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE.ID_ACTIVITE_PROFESSIONNELLE IS 'Id activité professionnelles';
COMMENT ON COLUMN SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE.LIBELLE IS ' Libellé activités professionnelles';
COMMENT ON COLUMN SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE.VALIDITE IS ' validité O/N ';
COMMENT ON COLUMN SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE.D_CREATION IS 'Date de creation de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE.D_MODIFICATION IS 'Date de la derniere modification de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
COMMENT ON COLUMN SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.MUTUELLE (
	ID_MUTUELLE NUMBER(38) NOT NULL,
	MUT_CODE VARCHAR2(3) NOT NULL,
	LIBELLE VARCHAR2(30) ,
	ADR_ORDRE NUMBER(38) NOT NULL,
	MUT_TYPE VARCHAR2(1) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER,
 	CONSTRAINT PK_MUTUELLE PRIMARY KEY (ID_MUTUELLE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.MUTUELLE_SEQ START WITH 19;
COMMENT ON TABLE SCO_SCOLARITE.MUTUELLE IS 'Table des mutuelles';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.ID_MUTUELLE IS 'Id mutuelle';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.MUT_CODE IS 'code de la mutuelle ';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.LIBELLE IS ' Libellé mutuelle';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.ADR_ORDRE IS ' adr ordre ';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.MUT_TYPE IS ' type de mutuelle (I, M) ';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.D_CREATION IS 'Date de creation de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.D_MODIFICATION IS 'Date de la derniere modification de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.SITUATION_PROFESSIONNELLE (
	ID_SITUATION_PROFESSIONNELLE NUMBER(38) NOT NULL,
	CODE_SITPROF VARCHAR2(1) NOT NULL,
	LIBELLE VARCHAR2(30) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER,
 	CONSTRAINT PK_SITUATION_PROFESSIONNELLE PRIMARY KEY (ID_SITUATION_PROFESSIONNELLE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
CREATE SEQUENCE SCO_SCOLARITE.SITUATION_PROFESSIONNELLE_SEQ START WITH 5;
COMMENT ON TABLE SCO_SCOLARITE.SITUATION_PROFESSIONNELLE IS 'Table des différentes situations professionnelles';
COMMENT ON COLUMN SCO_SCOLARITE.SITUATION_PROFESSIONNELLE.ID_SITUATION_PROFESSIONNELLE IS 'Id situation professionnelle';
COMMENT ON COLUMN SCO_SCOLARITE.SITUATION_PROFESSIONNELLE.CODE_SITPROF IS 'Code situation professionnelle';
COMMENT ON COLUMN SCO_SCOLARITE.SITUATION_PROFESSIONNELLE.LIBELLE IS ' Libellé situation professionnelle';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.D_CREATION IS 'Date de creation de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.D_MODIFICATION IS 'Date de la derniere modification de lenregistrement.';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
COMMENT ON COLUMN SCO_SCOLARITE.MUTUELLE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.ETUDIANT_ANNEE (
	ID_ETUDIANT_ANNEE NUMBER(38) NOT NULL,
	ID_ETUDIANT NUMBER(38) NOT NULL,
	ANNEE NUMBER(4) NOT NULL, 
	BOURSIER NUMBER(1) DEFAULT 0 NOT NULL, 
	ACAD_BOURSE VARCHAR2(50),
	NUM_ALLOC_BOURSE VARCHAR2(13),
	ECH_BOURSE NUMBER(2), 
	AUTRE_CAS_EXO VARCHAR2(50),
	ID_ORIGINE_RESSOURCE NUMBER(38),
	TUTEUR1 VARCHAR2(130), 
	TUTEUR2 VARCHAR2(130), 
	PRO_CODE VARCHAR2(3) NOT NULL, 
	PRO_CODE2 VARCHAR2(3),
	SIT_FAMILLE VARCHAR2(1) ,
	SALARIE NUMBER(38),
	SAL_CRNE VARCHAR2(8),
	SAL_LIBELLE VARCHAR2(100),
	ID_QUOTITE_TRAVAIL NUMBER(38),
	ID_ACTIVITE_PROFESSIONNELLE NUMBER(38),
	AFF_SS NUMBER(1) DEFAULT 0 NOT NULL, 
	COTI_CODE VARCHAR2(2) DEFAULT '0' NOT NULL,
	ID_MUTUELLE NUMBER(38),
	AYANT_DROIT NUMBER(1),
	TYPE_REGIME VARCHAR2(100),
	SPORT_UNIV NUMBER(1) DEFAULT 0,
	ADH_AGME NUMBER(1) DEFAULT 0 NOT NULL,
	INTERRUPT_ETUDE NUMBER(1) DEFAULT 0,
	DUREE_INTERRUPT NUMBER(38), 
	DEMANDEUR_EMPLOI NUMBER(1) DEFAULT 0 NOT NULL,
	FORMATION_FINANCEE NUMBER(1) DEFAULT 0 NOT NULL, 
	ETUD_HANDICAP NUMBER(1) DEFAULT 0, 
	THAN_CODE VARCHAR2(2),
	ASSURANCE_CIVILE NUMBER(1)DEFAULT 0 NOT NULL, 
	ASSURANCE_CIVILE_CIE VARCHAR2(100),
	ASSURANCE_CIVILE_NUM VARCHAR2(100),
	RECENSEMENT NUMBER(1) DEFAULT 0,
	CERTIFICAT_PART_APPEL NUMBER(1)DEFAULT 0,
	ETUD_SPORT_HN NUMBER(1) DEFAULT 0 NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE NOT NULL, 
	PERS_ID_CREATION NUMBER(38)  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER(38) NOT NULL,
	CONSTRAINT PK_ETUDIANT_ANNEE PRIMARY KEY (ID_ETUDIANT_ANNEE) USING INDEX TABLESPACE INDX_CKTL_SCOL,
	CONSTRAINT FK_ETUDAN_ETUDIANT FOREIGN KEY (ID_ETUDIANT) REFERENCES GRHUM.ETUDIANT (ETUD_NUMERO) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_ETUDAN_ACTIVITE FOREIGN KEY (ID_ACTIVITE_PROFESSIONNELLE) REFERENCES SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE (ID_ACTIVITE_PROFESSIONNELLE) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_ETUDAN_MUTUELLE FOREIGN KEY (ID_MUTUELLE) REFERENCES SCO_SCOLARITE.MUTUELLE (ID_MUTUELLE) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_ETUDAN_QUOTTRAV FOREIGN KEY (ID_QUOTITE_TRAVAIL) REFERENCES SCO_SCOLARITE.QUOTITE_TRAVAIL (ID_QUOTITE_TRAVAIL) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_ETUDAN_ORIGRES FOREIGN KEY (ID_ORIGINE_RESSOURCE) REFERENCES SCO_SCOLARITE.ORIGINE_RESSOURCES (ID_ORIGINE_RESSOURCES) DEFERRABLE INITIALLY DEFERRED
);
	CREATE SEQUENCE SCO_SCOLARITE.ETUDIANT_ANNEE_SEQ START WITH 1;
	
	COMMENT ON TABLE SCO_SCOLARITE.ETUDIANT_ANNEE  IS 'Table contenant les diverses information de l''étudiant (ancienne table PRE_HISTORIQUE).';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ID_ETUDIANT_ANNEE IS 'cle primaire';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ID_ETUDIANT IS 'id de la table de etudiant';
 	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ANNEE IS 'Année de l''inscription.';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.BOURSIER IS 'L''étudiant est-il Boursier (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ACAD_BOURSE IS 'Libellé du crous';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.NUM_ALLOC_BOURSE IS 'Numéro d''allocatire de l''étudiant';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ECH_BOURSE IS 'Echelon bourse de l''étudiant';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.AUTRE_CAS_EXO IS 'Autres cas d''exonération';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ID_ORIGINE_RESSOURCE IS 'Origine des ressources de l''étudiant';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.TUTEUR1 IS 'Nom et prénom du tuteur1';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.TUTEUR2 IS 'Nom et prénom du tuteur2';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.PRO_CODE IS 'Référence àSCO_PRE_SCOLARITE.PRE_PROFESSION.PRO_CODE ; profession du premier responsable';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.PRO_CODE2 IS 'Référence àSCO_PRE_SCOLARITE.PRE_PROFESSION.PRO_CODE ; profession  du second responsable, si nécessaire.';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.SIT_FAMILLE IS 'Code de la situation de famille.';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.SALARIE IS 'l''étudiant est il fonctionnaire, non, ou autre';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.SAL_CRNE IS 'code rne de l''établissement où l''étudiant est salarié';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.SAL_LIBELLE IS 'si autre coché , libellé correspondant';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ID_QUOTITE_TRAVAIL IS 'si l''étudiant est salarie, la quotité de travail, correspond à id_quotite_travail de la table Quotite';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ID_ACTIVITE_PROFESSIONNELLE IS 'Activité professionnelle, correspond à id_activité_professionnelle de la table ACTIVITE_PROFESSIONNELLE'; 
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.AFF_SS IS 'Affiliation au régime ''étudiant'' de la sécurité sociale  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.COTI_CODE IS 'code cotisation correspondant à la table COTISATION';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ID_MUTUELLE IS 'Organisme de remboursement, corresponsd à id_Mutuelle de la table MUTUELLE';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.AYANT_DROIT IS 'Information calculee a partir de AFF_SS etID_COTISATION ; 1 : Etudiant affilie et non cotisant ; -1 : Etudiant affilie et cotisant ; -2 : Etudiant affilie, cotisant mais exonere.';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.TYPE_REGIME IS 'Renseigne le type de regime qui justifie l''exoneration de la cotisation a l''affiliation au regime etudiant de securite sociale.';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.SPORT_UNIV IS 'pratique de sport universitaire  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ADH_AGME IS 'adhésion à l''A.G.M.E. (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.INTERRUPT_ETUDE IS 'Y-a-til eu interruption des études?  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.DUREE_INTERRUPT IS 'durée de l''interruption';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.DEMANDEUR_EMPLOI IS 'L''étudiant est-il demandeur d''emploi? (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.FORMATION_FINANCEE IS 'Formation financée  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ETUD_HANDICAP IS 'Etudiant handicapé  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.THAN_CODE IS 'code du type d''handicap';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ASSURANCE_CIVILE IS 'l''étudiant dispose t-il d''une assurance à resposabilité civile? (1:oui , 0:non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ASSURANCE_CIVILE_CIE IS 'comapgnie de l''assurance';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ASSURANCE_CIVILE_NUM IS 'numéro de l''assurance';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.RECENSEMENT IS 'Attestation de recensement du service national (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.CERTIFICAT_PART_APPEL IS 'certificat de paraticipation à l''appel du service national (1:oui , 0:non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.ETUD_SPORT_HN IS 'sportif de haut niveau (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_SCOLARITE.ETUDIANT_ANNEE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.INSCRIPTION (
	ID_INSCRIPTION NUMBER(38) NOT NULL,
	ID_ETUDIANT NUMBER(38) NOT NULL,
	ANNEE NUMBER(4) NOT NULL, 
	ID_DIPLOME NUMBER(38) NOT NULL,
 	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE NOT NULL, 
	PERS_ID_CREATION NUMBER(38)  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER(38) NOT NULL,
	CONSTRAINT PK_INSCRIPTION PRIMARY KEY (ID_INSCRIPTION) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
	CREATE SEQUENCE SCO_SCOLARITE.INSCRIPTION_SEQ START WITH 1;
	COMMENT ON TABLE SCO_SCOLARITE.INSCRIPTION  IS 'Table reliant l''étudiant à un diplome et une année.';
	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.ID_INSCRIPTION IS 'clé primaire';
	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.ID_ETUDIANT IS 'Identifiant de l''étudiant (id de la table ETUDIANT)';
	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.ANNEE IS 'Année de l''inscription.';
	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.ID_DIPLOME IS 'diplome sur lequel l''étudiant est inscrit';
	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.CHAMP (
	ID_CHAMP NUMBER(38) NOT NULL,
	ID_PERE NUMBER(38),
	CODE VARCHAR2(25) NOT NULL,
	LIBELLE VARCHAR2(255) NOT NULL, 
	ORDRE NUMBER(38) NOT NULL, 
	APPLICATION VARCHAR(255) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE NOT NULL, 
	PERS_ID_CREATION NUMBER(38)  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER(38) NOT NULL,
	CONSTRAINT PK_CHAMP PRIMARY KEY (ID_CHAMP) USING INDEX TABLESPACE INDX_CKTL_SCOL,
  	CONSTRAINT FK_CHAMP_CHAMP FOREIGN KEY (ID_PERE) REFERENCES SCO_SCOLARITE.CHAMP (ID_CHAMP) DEFERRABLE INITIALLY DEFERRED
);
	CREATE SEQUENCE SCO_SCOLARITE.CHAMP_SEQ START WITH 117;
	COMMENT ON TABLE SCO_SCOLARITE.CHAMP  IS 'Table contenant tous les champs et cadres .';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.ID_CHAMP IS 'clé primaire';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.ID_PERE IS 'id du champ(cadre) pere ';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.CODE IS 'code du champ';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.LIBELLE IS 'libelle du champ ';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.ORDRE IS 'Ordre d''affichage dans la treeTable.';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.APPLICATION IS 'nom de l''aplication auquel appartient le champ.';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_SCOLARITE.CHAMP.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION (
	ID_PARAMETRAGE_INSCRIPTION NUMBER(38) NOT NULL,
	LIBELLE VARCHAR2(255) NOT NULL, 
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE NOT NULL, 
	PERS_ID_CREATION NUMBER(38)  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER(38) NOT NULL,
	CONSTRAINT PK_PARAMETRAGE_INSCRIPTION PRIMARY KEY (ID_PARAMETRAGE_INSCRIPTION) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
	CREATE SEQUENCE SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION_SEQ START WITH 2;
	COMMENT ON TABLE SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION  IS 'Table contenant les differents types de parametrages pour l''affichage des champs et cadres .';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION.ID_PARAMETRAGE_INSCRIPTION IS 'clé primaire';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION.LIBELLE IS 'libelle du paramétrage ';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE (
	ID_TYPE_PARAMETRE_AFFICHAGE NUMBER(38) NOT NULL,
	LIBELLE VARCHAR2(255) NOT NULL,
	CODE VARCHAR2(20) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE NOT NULL, 
	PERS_ID_CREATION NUMBER(38)  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER(38) NOT NULL,
	CONSTRAINT PK_TYPE_PARAMETRE_AFFICHAGE PRIMARY KEY (ID_TYPE_PARAMETRE_AFFICHAGE) USING INDEX TABLESPACE INDX_CKTL_SCOL
);
	CREATE SEQUENCE SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE_SEQ START WITH 4;
	COMMENT ON TABLE SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE  IS 'Table contenant les differents types d''affichage des champs et cadres de CORIANDRE (invisble, en lecture seule et modifiable).';
	COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE.ID_TYPE_PARAMETRE_AFFICHAGE IS 'clé primaire';
	COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE.LIBELLE IS 'libelle du paramètre ';
	COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE.CODE IS 'code du paramètre';
	COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

CREATE TABLE SCO_SCOLARITE.PARAMETRAGE_CHAMP (
	ID_CHAMP NUMBER(38) NOT NULL,
	ID_PARAMETRAGE_INSCRIPTION NUMBER(38) NOT NULL,
	GESTIONNIAIRE NUMBER(38) NOT NULL,
	PREINSCRIPTION NUMBER(38) NOT NULL,
	REINSCRIPTION NUMBER(38) NOT NULL,
	ADMISSION NUMBER(38) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE NOT NULL, 
	PERS_ID_CREATION NUMBER(38)  NOT NULL, 
	PERS_ID_MODIFICATION NUMBER(38) NOT NULL,
	CONSTRAINT PK_PARAMETRAGE_CHAMP PRIMARY KEY (ID_CHAMP, ID_PARAMETRAGE_INSCRIPTION) USING INDEX TABLESPACE INDX_CKTL_SCOL,
	CONSTRAINT FK_PARAMCHAMP_CHAMP FOREIGN KEY (ID_CHAMP) REFERENCES SCO_SCOLARITE.CHAMP (ID_CHAMP) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_PARAMCHAMP_PARAMINSC FOREIGN KEY (ID_PARAMETRAGE_INSCRIPTION) REFERENCES SCO_SCOLARITE.PARAMETRAGE_INSCRIPTION (ID_PARAMETRAGE_INSCRIPTION) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_PARAMCHAMP_TGEST FOREIGN KEY (GESTIONNIAIRE) REFERENCES SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE (ID_TYPE_PARAMETRE_AFFICHAGE) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_PARAMCHAMP_TPREINSC FOREIGN KEY (PREINSCRIPTION) REFERENCES SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE (ID_TYPE_PARAMETRE_AFFICHAGE) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_PARAMCHAMP_TREINSC FOREIGN KEY (REINSCRIPTION) REFERENCES SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE (ID_TYPE_PARAMETRE_AFFICHAGE) DEFERRABLE INITIALLY DEFERRED,
	CONSTRAINT FK_PARAMCHAMP_TADM FOREIGN KEY (ADMISSION) REFERENCES SCO_SCOLARITE.TYPE_PARAMETRE_AFFICHAGE (ID_TYPE_PARAMETRE_AFFICHAGE) DEFERRABLE INITIALLY DEFERRED
);
	COMMENT ON TABLE SCO_SCOLARITE.PARAMETRAGE_CHAMP  IS 'Table contenant les differents types d''affichage des champs et cadres de CORIANDRE (invisble, en lecture seule et modifiable).';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.ID_CHAMP IS 'correspondant à la clé primaire de la table CHAMP';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.ID_PARAMETRAGE_INSCRIPTION IS 'correspondant à la clé primaire de la table PARAMETRAGE_INSCRIPTION';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.GESTIONNIAIRE IS 'contient le type du paramère d''affichage pour le gestionnaire (correspond à ID_TYPE_PARAMETRE_AFFICHAGE de la table TYPE_PARAMETRE_AFFICHAGE)';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.PREINSCRIPTION IS 'contient le type du paramère d''affichage pour la pré-inscription (correspond à ID_TYPE_PARAMETRE_AFFICHAGE de la table TYPE_PARAMETRE_AFFICHAGE)';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.REINSCRIPTION IS 'contient le type du paramère d''affichage pour la ré-inscription (correspond à ID_TYPE_PARAMETRE_AFFICHAGE de la table TYPE_PARAMETRE_AFFICHAGE)';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.ADMISSION IS 'contient le type du paramère d''affichage pour l''admission (correspond à ID_TYPE de la table TYPE_PARAMETRE_AFFICHAGE)';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_SCOLARITE.PARAMETRAGE_CHAMP.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

